/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ConvenioDetDAO;
import com.rjconsultores.ventaboletos.entidad.ConvenioDet;
import com.rjconsultores.ventaboletos.service.ConvenioDetService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("convenioDetService")
public class ConvenioDetServiceImpl implements ConvenioDetService {

    @Autowired
    private ConvenioDetDAO convenioDetDAO;

    public List<ConvenioDet> obtenerTodos() {
        return convenioDetDAO.obtenerTodos();
    }

    public ConvenioDet obtenerID(Integer id) {
        return convenioDetDAO.obtenerID(id);
    }

    @Transactional
    public ConvenioDet suscribir(ConvenioDet entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return convenioDetDAO.suscribir(entidad);
    }

    @Transactional
    public ConvenioDet actualizacion(ConvenioDet entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return convenioDetDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ConvenioDet entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        convenioDetDAO.actualizacion(entidad);
    }
}
